Overview

Com Port Redirector is a software utility for network-enabling legacy software applications that do not have network support. Com Port Redirector installs virtual Windows® communication ports. These virtual communication (or com) ports are redirected over a network to the serial port of a Lantronix device server.

In most cases, legacy software that uses the virtual com ports created with Com Port Redirector encounters no problems and acts as if it were communicating with a physical com port. Not all software applications, however, are suited for use with Com Port Redirector.

Serial port software applications are designed for direct communication with the serial device being managed. However, when device servers are used across a network, latency can occur with the connection from the software to the managed serial device. Some software applications have timing constraints for data transmitted and received on com ports. In some cases, a software application will not wait long enough to receive a response from the serial device being managed. As a result, the software assumes the serial device is not responding and times out.

Should increased latency become an issue for a software application, implement a TCP socket connection in the software. If this is not possible, increase the timeout settings in the software to compensate for the additional latency.

Click here to see a sample configuration.


Non-Redirected Connections vs. Redirected Connections

Most software used with the Com Port Redirector is designed to connect directly to the serial device being managed. This connection is achieved using a direct cable connection from a com port on the personal computer (PC) running the software utility to the serial port of the serial device being managed. With this configuration, the PC and the managed serial device reside on an isolated serial network. The traffic passed on the physical media between them is intended for either the PC or the serial device. Latency is not an issue in this scenario.

When the same software applications are used with the Com Port Redirector, the applications are no longer directly attached to the serial device being managed. Instead, all traffic between the software application and the serial device is routed as follows:

  1. From a virtual com port, the data is stripped out of a serial packet and placed into an IP packet.

  2. The serial packet is sent from the virtual com port to a network interface on the PC.

  3. Data is transmitted over the network, through switches or routers, to the network interface on a device server.

  4. From the network interface on the device server, the data converts from an IP packet back to a serial packet.

  5. Once in a serial packet, data is transmitted down the physical media to the serial device.

This process introduces latency. The amount of latency associated with this type of connection is determined by the amount of network latency. The more traffic on the network, the greater the latency between the PC running the software application and the device server.

To address latency, Com Port Redirector provides a No Net Close option in the Port Settings dialog box (click Port Settings from the COM Port Redirector Configuration window). This option keeps the TCP/IP connection open when the com port is closed, reducing latency.


Quick Start

After you install Com Port Redirector using the procedures in the User’s Guide, use the following steps to get it up and running:

  1. Review the general usage guidelines for the device server.

  2. Review the general usage guidelines for Com Port Redirector.

  3. Select the logical communication port(s) you want to redirect.

  4. Configure the device server and Com Port Redirector.

  5. Verify the connectivity between Com Port Redirector and the device server.


General Device Server Configuration Guidelines

When preparing the device server for use with Com Port Redirector:

  • The device server to which Com Port Redirector will connect must have an IP address.
  • The PC running Com Port Redirector must have a good network connection to the device server.
  • If redirecting over a Wide Area Network (WAN), both the PC and the device server must have a correct gateway address configured in the TCP/IP settings.
  • All serial settings on the device server must match the settings of the serial device. Serial settings include baud rate, parity, stop bits, flow control, and interface mode (RS-232 or RS-422/485).
  • Connect/Disconnect Access Modes: The way the device server accepts a connection must be configured appropriately to accept a network connection from Com Port Redirector.
  • CoBox, UDS, XPort, and XPress products: set the correct mode to CO and the disconnect mode to 00.
  • MSS, ETS, and SCS products: set the access mode to remote on the serial port receiving the connection from Com Port Redirector.
  • Serial cabling between the serial device being managed and the device server must be correct. Consult your documentation for the pinouts of your Lantronix device server.

Consult your device server documentation for information about configuring these settings for your device server.


General Com Port Redirector Usage Guidelines

When using Com Port Redirector:

  • Do not run Com Port Redirector with other software that installs a virtual com port.
  • Do not run Com Port Redirector with other Comport Redirection software on the same PC.


Installing Com Port Redirector

Selecting Logical Com Ports

After you install Com Port Redirector, use the following procedure to select the logical com ports you want to redirect.

  1. Click the Start button in the Windows Taskbar, point to Programs, point to Lantronix Redirector, and click Configuration. The Com Port Redirector Configuration window appears.

2. Click the Com Setup button. A Port Setup dialog box similar to the one in the figure appears, with the first logical communication port checked.

The physical communication ports on the computer where Com Port Redirector is installed are displayed as gray and unavailable. In the figure, these are Com1 through Com3. Your unavailable communication ports may vary form those shown in the figure.

  3. Click all the logical ports to which the PC will be redirected. A checkmark appears next to each logical port selected. Each port selected will be available from the Redirect To drop-down list in the Com Port Redirector Configuration window (this procedure is described in the next chapter).

  4. To deselect a port, click it again to remove the checkmark next to it. Removing the checkmark indicates the port will not be available from the Redirect To drop-down list.

  5. When finished, click OK.

Note: After you use the Port Setup dialog box to add or remove com ports, reboot your computer.


Configuration Overview

After you install Com Port Redirector, review the general configuration guidelines for device servers and Com Port Redirector. Then go to the appropriate topic for your device, terminal, or console server:

  • For CoBox, UDS, XPort, and XPress device servers, click here.
  • For MSS100 and MSS485-T device servers, click here.
  • For MMS4 and MSS-VIA device servers, click here.
  • For ETS terminal servers and SCS console servers, click here.


Configuring Port Settings

The Port Settings dialog box lets you define various settings for redirected com ports. The settings selected from the Port Settings dialog box are on a per-port basis. Therefore, to apply port settings to all redirected com ports, repeat the following procedure for each redirected com port.

  1. Click the Start button in the Windows Taskbar, point to Programs, point to Lantronix Redirector, and click Configuration. The Com Port Redirector Configuration window appears.

  2. Using the Redirect To drop-down list at the top of the Com Port Redirector Configuration window, click a redirected com port.

3. Click the Port Settings button. The Port Settings dialog box appears.

    4. Select the appropriate port setting settings (see the table below), then click OK.

    5. Setting

      Description

      Timeout Reconnect

      If checked, Com Port Redirector re-establishes the connection if the connection times out (see the TCP Keepalive information in your device server user’s guide). When auto-reconnecting, Com Port Redirector tries to reconnect until the connection succeeds or you click the Cancel button in the pop-up connection dialog box. If the port was closed by the communications application or by clicking Disconnect, Com Port Redirector does not try to auto-reconnect.

      Server Reconnect

      If checked, Com Port Redirector re-establishes the connection if the server closes it. When auto-reconnecting, Com Port Redirector tries to reconnect until the connection succeeds or you click the Cancel button in the pop-up connection dialog box. If the port was closed by the communications application or by clicking Disconnect, Com Port Redirector does not try to auto-reconnect.

      Inband Listen

      If checked, Com Port Redirector uses the inband redirector protocol on inbound connections from a Lantronix server. This protocol allows settings like modem signals, baud rate and parity to be exchanged between Com Port Redirector and the server.

      To use this setting with MTS and ETS products, the server must run firmware V3.6/3 or higher and the word OR must be specified at the end of the server's connection (Define Port) string. See your product reference manual for more information.

      To use this setting with SCSxx00 products, the server must run firmware V2.0/1 or higher and the word OR must be specified at the end of the server's connection (Define Port) string. See your product reference manual for more information.

      Connection Timeout

      Specifies the maximum number of seconds that the Com Port Redirector waits for a connection to be made before giving up on this attempt. If Timeout Reconnect is enabled, each connection attempt lasts this long. If Timeout Reconnect is disabled, the connection attempt fails after this interval and no more attempts are made.

      Force v2 Protocol

      If checked, Com Port Redirector always uses the version 2 protocol. This protocol has a quicker connect time than version 3, but lacks the version 3 feature set. Version 3 lets the communication application set the Data Terminal Ready (DTR) and Request To Send (RTS) states, byte size, stop bits, parity, and the read the state of Clear To Send (CTS), Data Set Ready (DSR), and Carrier Detect (CD). CoBox, UDS, XPort, and XPress products do not support version 2 or 3 Com Port Redirector protocols. Therefore, use Raw Mode with CoBox, UDS, XPort, and XPress products.

      No Net Close

      If checked, prevents the network connection from being dropped when the communications application is closed. To drop the connection, click the Disconnect button in the Com Port Redirector Configuration window. This allows applications to close and reopen ports, without waiting for the network connection to be re-established and negotiated.

      Raw Mode

      If checked, forms a raw TCP connection to the server’s serial port, accelerating the connection between the communications application and the server, without sending configuration or status information from the PC to the server. Raw Mode is designed for CoBox, UDS, XPort, and XPress products. When using Raw Mode, configure Com Port Redirector and your Lantronix server to use the same port number.


Configuring a UDS, CoBox, XPort, or XPress Device Server

Configuring Com Port Redirector for use with a UDS, CoBox, XPort, or XPress device server involves the following steps:

  1. Configure the device server.

  2. Configure Com Port Redirector.

  3. Verify connectivity between the two .


Device Server Configuration (UDS, CoBox, XPort, or XPress)

To configure a UDS, CoBox, XPort, or XPress device server for use with Com Port Redirector:

  1. Assign an IP address to the device server before using Com Port Redirector.

  2. Telnet into the configuration port 9999 on the device server.

  3. When prompted, press the Enter key.

  4. Select the channel (serial port) to which the Com Port Redirector will connect.

  5. Set the serial settings (baud rate, parity, flow control, data bits) to those of the serial device attached to the Lantronix device server.

  6. Set the port number to 10001 if using channel 1 or to 10002 if using channel 2.

  7. Set the connect mode for the channel to C0.

  8. Leave all other settings at the default settings.


Configuring Com Port Redirector for a UDS, CoBox, XPort, or XPress Device Server

To configure Com Port Redirector for use with a UDS, CoBox, XPort, or XPress device server:

  1. Click the Start button in the Windows Taskbar, point to Programs, point to Lantronix Redirector, and click Configuration. The Com Port Redirector Configuration window appears.

  2. Using the Redirect To drop-down list at the top of the Com Port Redirector Configuration window, click a redirected com port.

3. Click the Add IP button. The IP Service Setup dialog box appears.

    4. In the Host field, enter the IP address of the Lantronix device server.

    5. In the TCPPort field, type 10001 if using channel 1 or 10002 if using channel 2.

    6. Click the OK button.

    7. Click the Port Settings button. The Port Settings dialog box appears.

8. Check Raw Mode.

      9. Click OK.

      10. Click the Save button.

      11. Click the Close button.

      12. Verify connectivity between the device server and Com Port Redirector.


Verifying Connectivity

After configuring the Com Port Redirector and the device server, use a terminal-emulation program such as HyperTerminal to verify connectivity from the Com Port Redirector to the device server.

  1. Click the Start button in the Windows Taskbar, point to Programs, point to Accessories, point to Communications, and click HyperTerminal.

  2. Open a new session to the virtual com port configured to connect to the device.

  3. When the HyperTerminal window opens, a pop-up window displays: Attempting to connect to service. If this message is replaced by:

  • Successfully redirected to service, the connection from the Com Port Redirector to the device server was successful.

  • Failed to connect to any service, the connection failed. Ensure your settings are correct (refer to the appropriate topic in this online help for setup procedures for your device).

4. To hide the pop-up window, check Silent Mode on the Com Port Redirector Configuration window.


Configuring an MSS100 or MSS485-T Device Server

Configuring Com Port Redirector for use with an MSS100 or MSS485-T device server involves the following steps:

  1. Configure the device server.

  2. Configure Com Port Redirector.

  3. Verify connectivity between the two .


Device Server Configuration (MSS100 or MSS485-T)

To configure an MSS100 or MSS485-T device server for use with Com Port Redirector:

  1. Assign an IP address to the device server before using Com Port Redirector.

  2. Telnet into the device server and log in as the privileged user.

  • The command to login as the privileged user is set priv.

  • The default password is system.

  3. Set the serial settings (baud rate, parity, flow control, data bits) to those of the serial device attached to the Lantronix device server.

  4. Issue the following commands at the Local_>> prompt. Press the Enter key (shown as <CR>) after typing each command. The last command reboots the unit.
    change autostart disable <CR>
    change     access remote <CR>
    init delay 0 <CR>


Configuring Com Port Redirector for an MS100 or MS485-T Device Server

Configuring Com Port Redirector for an MSS100 or MS485-T Device Server

To configure Com Port Redirector for use with an MS100 or MS485-T device server:

  1. Click the Start button in the Windows Taskbar, point to Programs, point to Lantronix Redirector, and click Configuration. The Com Port Redirector Configuration window appears.

  2. Using the Redirect To drop-down list at the top of the Com Port Redirector Configuration window, click a redirected com port.

3. Click the Add IP button. The IP Service Setup dialog box appears.

  4. In the Host field, enter the IP address of the Lantronix device server.

  5. In the TCPPort field, type 3001.

  6. Click the OK button.

  7. Click the Save button.

  8. Click the Close button.

  9. Verify connectivity between the terminal server and the Com Port Redirector.


Configuring an MSS4 or MSS-VIA Device Server

Configuring Com Port Redirector for use with an MSS4 or MSS-VIA device server involves the following steps:

  1. Configure the device server.

  2. Configure Com Port Redirector.

  3. Verify the connection between the two.


Device Server Configuration (MSS4 or MSS-VIA)

To configure an MSS4 or MSS-VIA device server for use with Com Port Redirector:

  1. Assign an IP address to the device server before using Com Port Redirector.

  2. Telnet into the device server and log in as the privileged user.

  • The command to login as the privileged user is set priv.

  • The default password is system.

  3. Set the serial settings (baud rate, parity, flow control, data bits) to those of the serial device attached to the Lantronix device server.

  4. Issue the following commands at the Local_>> prompt. Replace the n with the port number to which Com Port Redirector will connect. Press the Enter key (shown as <CR>) after typing each command. The last command reboots the unit.
    change port     n autostart disable <CR>
    change port     n access remote <CR>
    init delay 0 <CR>


Configuring Com Port Redirector for an MSS4 or MSS-VIA Device Server

To configure Com Port Redirector for use with an MSS4 or MSS-VIA device server:

  1. Click the Start button in the Windows Taskbar, point to Programs, point to Lantronix Redirector, and click Configuration. The Com Port Redirector Configuration window appears.

  2. Using the Redirect To drop-down list at the top of the Com Port Redirector Configuration window, click a redirected com port.

3. Click the Add IP button. The IP Service Setup dialog box appears.

    4. In the Host field, enter the IP address of the Lantronix device server.

    5. In the TCPPort field, type 3001 for port 1, 3002 for port 2, and so on.

    6. Click the OK button.

    7. Click the Save button.

    8. Click the Close button.

    9. Verify connectivity between the terminal or console server and Com Port Redirector.


Configuring an ETS Terminal Server or SCS Console Server

Configuring Com Port Redirector for use with an ETS terminal server or an SCS console server involves the following steps:

  1. Configure the terminal or console server.

  2. Configure Com Port Redirector.

  3. Verify the connectivity between the two.


ETS Terminal Server or SCS Console Server Configuration

To configure an ETS terminal server or SCS console server for use with Com Port Redirector:

  1. Assign an IP address to the terminal or console server before using Com Port Redirector.

  2. Telnet into the terminal or console server and log in as the privileged user.

  • The command to login as the privileged user is set priv.

  • The default password is system.

  3. Issue the following commands at the Local_>> prompt. Replace the n with the port number to which Com Port Redirector will connect. Press the Enter key (shown as <CR>) after typing each command. The last command reboots the unit.
    define port n autostart disable <CR>
    define port n access remote <CR>
    init delay 0 <CR>

  4. Set the serial settings (baud rate, parity, flow control, data bits) to those of the serial device attached to the Lantronix device server.


Configuring Com Port Redirector for an ETS Terminal Server or SCS Console Server

To configure Com Port Redirector for use with an ETS terminal server or an SCS console server:

  1. Click the Start button in the Windows Taskbar, point to Programs, point to Lantronix Redirector, and click Configuration. The Com Port Redirector Configuration window appears.

  2. Using the Redirect To drop-down list at the top of the Com Port Redirector Configuration window, click a redirected com port.

3. Click the Add IP button. The IP Service Setup dialog box appears.

  4. In the Host field, enter the IP address of the Lantronix device server.

  5. In the TCPPort field, type 3001 for port 1, 3002 for port 2, and so on.

  6. Click the OK button.

  7. Click the Save button.

  8. Click the Close button.

  9. Verify connectivity between the terminal or console server and Com Port Redirector.


Example of How Com Port Redirector Works